Index: code/trunk/src/modules/pickup/PickupCollection.cc
===================================================================
--- code/trunk/src/modules/pickup/PickupCollection.cc	(revision 6728)
+++ code/trunk/src/modules/pickup/PickupCollection.cc	(revision 6731)
@@ -176,9 +176,9 @@
         Returns true if the PickupCarrier identified by the input PickupIdentififer it is a target of this PickupCollection, false if not.
     */
-    bool PickupCollection::isTarget(Identifier* identifier) const
+    bool PickupCollection::isTarget(PickupCarrier* carrier) const
     {
         for(std::vector<WeakPtr<Pickupable> >::const_iterator it = this->pickups_.begin(); it != this->pickups_.end(); it++)
         {
-            if(!(*it).get()->isTarget(identifier))
+            if(!carrier->isTarget((*it).get()))
                 return false;
         }
Index: code/trunk/src/modules/pickup/PickupCollection.h
===================================================================
--- code/trunk/src/modules/pickup/PickupCollection.h	(revision 6728)
+++ code/trunk/src/modules/pickup/PickupCollection.h	(revision 6731)
@@ -67,5 +67,5 @@
             virtual void clone(OrxonoxClass*& item); //!< Creates a duplicate of the input OrxonoxClass.
             
-            virtual bool isTarget(Identifier* identifier) const; //!< Get whether a given class, represented by the input Identifier, is a target of this PickupCollection.
+            virtual bool isTarget(PickupCarrier* carrier) const; //!< Get whether a given class, represented by the input Identifier, is a target of this PickupCollection.
             
             virtual const PickupIdentifier* getPickupIdentifier(void); //!< Get the PickupIdentifier of this PickupCollection.
Index: code/trunk/src/orxonox/interfaces/Pickupable.cc
===================================================================
--- code/trunk/src/orxonox/interfaces/Pickupable.cc	(revision 6728)
+++ code/trunk/src/orxonox/interfaces/Pickupable.cc	(revision 6731)
@@ -104,4 +104,6 @@
     bool Pickupable::isTarget(const PickupCarrier* carrier) const
     {
+        if(carrier == NULL)
+            return false;
         return this->isTarget(carrier->getIdentifier());
     }
@@ -109,16 +111,16 @@
     /**
     @brief
-        Get whether a given class, represented by the input Identifier, is a target of this Pickupable.
-    @param target
-        The Identifier of which it has to be determinde whether it is a target of this Pickupable.
-    @return
-        Returns true if the given Identifier is a target.
-    */
-    bool Pickupable::isTarget(Identifier* target) const
+        Get whether the given Identififer is a target of this Pickupable.
+    @param identifier
+        The PickupCarrier of which it has to be determinde whether it is a target of this Pickupable.
+    @return
+        Returns true if the given PickupCarrier is a target.
+    */
+    bool Pickupable::isTarget(const Identifier* identifier) const
     {
         //! Iterate through all targets of this Pickupable.
         for(std::list<Identifier*>::const_iterator it = this->targets_.begin(); it != this->targets_.end(); it++)
         {
-            if(target->isA(*it))
+            if(identifier->isA(*it))
                 return true;
         }
Index: code/trunk/src/orxonox/interfaces/Pickupable.h
===================================================================
--- code/trunk/src/orxonox/interfaces/Pickupable.h	(revision 6728)
+++ code/trunk/src/orxonox/interfaces/Pickupable.h	(revision 6731)
@@ -98,6 +98,6 @@
             bool dropped(void); //!< Sets the Pickupable to not picked up or dropped.
             
-            bool isTarget(const PickupCarrier* carrier) const; //!< Get whether the given PickupCarrier is a target of this pickup.
-            virtual bool isTarget(Identifier* identifier) const; //!< Get whether a given class, represented by the input Identifier, is a target of this Pickupable.
+            virtual bool isTarget(const PickupCarrier* carrier) const; //!< Get whether the given PickupCarrier is a target of this pickup.
+            bool isTarget(const Identifier* identifier) const; //!< Get whether a given class, represented by the input Identifier, is a target of this Pickupable.
             bool addTarget(PickupCarrier* target); //!< Add a PickupCarrier as target of this pickup.
             bool addTarget(Identifier* identifier); //!< Add a class, representetd by the input Identifier, as target of this pickup.
